The BOOST_PP_TUPLE_REM macro expands to a macro that removes the parentheses from a tuple.

#### Usage

BOOST_PP_TUPLE_REM() (v)
or
BOOST_PP_TUPLE_REM(size) (v)

#### Arguments

size
  The size of the tuple from which the parentheses are to be removed. This argument is ignored.

#### Remarks

The size may be left out completely so that the macro can be invoked as BOOST_PP_TUPLE_REM(); you may get a warning from some compilers, but the functionality will still work. If you specify a size, it will be ignored, but the warning from some compilers will not occur.
Note: For Visual C++ 8.0 ( Visual Studio 2005 ) you must specify the correct size argument as a non-variadic version must be used.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/rem.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/rem.hpp>

    BOOST_PP_TUPLE_REM()(x, y, z) // expands to x, y, z

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013,2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)